; drv16F887\EEPROM.inc

;--------------------  Signature + timestamp en EPROM  ----------------------
	org	0x2100
	de	"Rev.0.3, (C) Yann Guidon 2008-04-27", 0

; petite fonction pour faciliter l'criture des initialisations
READEEPROM	macro	EEadresse, RAMaddresse
	movlw	EEadresse & 255
	call	S__EEPROM_READ
	movwf	RAMaddresse
	endm

EEPROM_contrast		de 15 ; valeur par dfaut du contraste

; paramtres pour le NRI :
EE_NRI_pulse_length_nom de 0x72 ; valeur moyenne de la longueur du pulse du NRI
EE_CHAN_EN	de 0x3F ; tous les canaux sont actifs
EE_CHAN1val	de 1<<4 | 2 ;  1E
EE_CHAN2val	de 2<<4 | 2 ;  2E
EE_CHAN3val	de 5<<4 | 0 ;  5c
EE_CHAN4val	de 1<<4 | 1 ; 10c
EE_CHAN5val	de 5<<4 | 1 ; 50c
EE_CHAN6val	de 2<<4 | 1 ; 20c

; paramtres pour la monnaie
EE_currency_index	de	4 ; monnaie par dfaut : Euro
 ; la valeur indique un offset dans une table, qui sera consulte au reboot.
EE_currency_shift	de	13; entre 10 et 15,  16 le "signe" est hors de l'cran

EE_solde_LSB de 0
EE_solde_MID de 0
EE_solde_MSB de 0

EE_page_price_A4BW_LSB de 10
EE_page_price_A4BW_MID de 0
EE_page_price_A4BW_MSB de 0

EE_page_price_A3BW_LSB de 20
EE_page_price_A3BW_MID de 0
EE_page_price_A3BW_MSB de 0

EE_page_price_A4COL_LSB de 30
EE_page_price_A4COL_MID de 0
EE_page_price_A4COL_MSB de 0

EE_page_price_A3COL_LSB de 40
EE_page_price_A3COL_MID de 0
EE_page_price_A3COL_MSB de 0
