; drv16F887\PIC16F887.inc
; sert aux dclarations spcifiques au 16F887

	list		p=16f887
	#include	<p16f887.inc>	; processor specific variable definitions

; Ne pas oublier le bit de protection !!! (et  revrifier)
	__CONFIG    _CONFIG1, _LVP_OFF & _FCMEN_ON & _IESO_ON & _BOR_ON & _CPD_OFF & _CP_OFF & _MCLRE_ON & _PWRTE_ON & _WDT_OFF & _HS_OSC
	__CONFIG    _CONFIG2, _WRT_OFF & _BOR21V


; variables pour les changements de contexte lors d'interruptions :
w_temp		EQU	0x71
status_temp	EQU	0x72
pclath_temp	EQU	0x73

; pour tout le monde
tmp_leaf1	EQU	0x74
tmp_leaf2	EQU	0x75
tmp_leaf3	EQU	0x76
tmp_leaf4	EQU	0x77

;; pour le MTK : dplac dans mtk.inc
;MTK_leaf1	EQU	0x78
;MTK_leaf2	EQU	0x79
;MTK_leaf3	EQU	0x7A
;MTK_leaf4	EQU	0x7B

    __BADRAM H'70', H'F0', H'170', H'1F0', H'1E5'-H'1EF' ; pour le debugger et les IRQ

; dclaration des variables globales en RAM
	cblock 0x20 ;  (fixe juste l'adresse de dpart)
	endc
