; menu\menu_contrast.asm
; version 2008-02-25

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; routine de rglage du contraste :
; utilise par thread_init et dans le menu
; retourne par Macro_RETURN au travers de clrlcd

L2__MENU__change_contrast
	clrf	autorepeat
; pour rgler le contraste, il faut dj pouvoir y voir qqc
	LOAD_STRING_PTR	string_menu_contrast
	Macro_CALL	L1S2__display_string, 0

; boucle principale
MENU__display_contrast
; place le curseur au milieu de l'cran
	movlw	13
	movwf	tmp_leaf1
	Macro_CALL	LS1__set_DDRAM_address_linear, 0

; affiche la valeur courante en dcimal
	movfw	CCPR1L
	movwf	convert_byte
	Macro_CALL	L1S2_Display_int256, 1

MENU__contrast_wait_kbd1
; attendre que les 3 boutons soient relachs ( 1) puis appuys
	Macro_CALL	L__MENU__wait_kbd1, 1

; est-ce le bouton droit ?
	btfsc	KBD_Right
	goto	MENU__test_bouton_gauche

	btfss	CCPR1L,7			; ne fait rien si contraste dj au maximum (128)
	incf	CCPR1L,f			; incrmentation
	goto	MENU__display_contrast

; est-ce le bouton gauche ?
MENU__test_bouton_gauche
	btfsc	KBD_Left
	goto	MENU__fin_contraste

	; si contraste dj  zro, ne rien faire
	movfw	CCPR1L
	btfss	STATUS,Z
	decf	CCPR1L,f	; dcrmentation conditionnelle
	goto	MENU__display_contrast

; si c'est ni droite ni gauche, alors c'est le bouton du milieu.
; mais on va quand mme vrifier que c'est pas un glitch.
MENU__fin_contraste
	btfsc	KBD_Middle
	goto	MENU__contrast_wait_kbd1

; crire la valeur dans l'EEPROM
	movfw	CCPR1L
	movwf	tmp_leaf1
	movlw	EEPROM_contrast & 255
	call	S__EEPROM_write

;	Macro_CALL	LS2__clrlcd,0
	goto	LS2__clrlcd ; fold/return
