; menu\menu_currency.asm
; version 20080430

L2S3__MENU__change_currency
; normalement, l'cran est vide ici, avec le curseur en position 0
	clrf	autorepeat
	Macro_CALL	LS2__clrlcd,0

; affiche le message
	LOAD_STRING_PTR	string_menu_currency
	Macro_CALL	L1S2__display_string, 1

; charge les fontes
	clrf	tmp_leaf1 ; fonte n0
	movlw	(3<<3)-1 ; charge 3 fontes
	movwf	tmp_leaf2
	LOAD_STRING_PTR font_debut
	Macro_CALL	L1S2__load_font, 1

MENU__currency_wait_kbd
; place le curseur devant le caractre courant
	movlw	(currency_list-string_menu_currency)
	addwf	currency_index,w
	movwf	tmp_leaf1
	Macro_CALL	LS1__set_DDRAM_address_linear, 0
; attendre que les 3 boutons soient relachs ( 1) puis appuys
	Macro_CALL	L__MENU__wait_kbd1, 1

; est-ce le bouton droit ?
	btfsc	KBD_Right
	goto	MENU__currency_test_gauche

	; compare l'index avec la taille de la chaine
	movf	currency_index,w
	xorlw	(currency_list_end-currency_list)-1
	btfss	STATUS,Z
	incf	currency_index,f
	goto	MENU__currency_wait_kbd


MENU__currency_test_gauche
; est-ce le bouton gauche ?
	btfsc	KBD_Left
	goto	MENU__currency_test_milieu

	; dcrmentation avec saturation
	movf	currency_index,f	
	btfss	STATUS,Z
	decf	currency_index,f
	goto	MENU__currency_wait_kbd


MENU__currency_test_milieu
; Si c'est le bouton du milieu alors on sort de la boucle
	btfsc	KBD_Middle
	goto	MENU__currency_wait_kbd

;;;;;;;;;;;; fin de la page du menu : cleanup

; crit la nouvelle valeur en EEPROM
	movfw	currency_index
	movwf	tmp_leaf1
	movlw	EE_currency_index & 255
	call	S__EEPROM_write

; recalcule le signe : consulte la table pour obtenir le signe alphanumrique
	Macro_CALL	L1S1__lookup_currency_sign, 0
; nettoie l'cran avant de sortir
;	Macro_CALL	LS2__clrlcd,1  (dj plac en dbut de boucle pour menu_position)
; fold !
