; menu\menu_page_price.asm
; version 20080503

; initialise la boucle principale

	; format = 4 => OK
	movlw	4
	movwf	format
	goto	loop_select_format

MENU_page_price
	clrf	autorepeat
; prcalcule format*3 et format*7
	movfw	format;
	addwf	format,w ; x*2
	addwf	format,w ; x*3
	movwf	tmp3

	addwf	tmp3,w ; x6
	addwf	format,w ; x*7 = (x*3)*2+x
	movwf	tmp7

; lecture du prix
	movfw	tmp3
	addlw	EE_page_price_A4BW_LSB & 255
	movwf	tmp3
	call	S__EEPROM_READ
	movwf	price_LSB

	incf	tmp3,w
	movwf	tmp3
	call	S__EEPROM_READ
	movwf	price_MID

	incf	tmp3,w
	call	S__EEPROM_READ
	movwf	price_MSB


Loop_MENU_page_price

; pointeur vers le format slectionn
;	LOAD_STRING_PTR	string_A4BW
	movlw	string_A4BW >> 8
	movwf	string_high
	movlw	string_A4BW & 255
	addwf	tmp7,w
	movwf	string_low
	
	COPY24	price_LSB,cmp_LSB

	Macro_CALL	L1_DisplayPrice_ext,0
	Macro_CALL	L__MENU__wait_kbd1, 1

; est-ce le bouton droit ?
	btfsc	KBD_Right
	goto	no_price_left
		; si le prix est > 2048
		btfsc	page_price_MID,4
		goto	Loop_MENU_page_price
		; incrmente le prix
			add24imm	1, price_LSB
			goto	Loop_MENU_page_price

no_price_left
; est-ce le bouton gauche ?
	btfsc	KBD_Left
	goto	no_price_right
		; si le prix n'est pas nul
		movfw	price_LSB
		iorwf	price_MID,w
		iorwf	price_MSB,w
		btfsc	STATUS,Z
		goto	Loop_MENU_page_price
		; alors dcrmente le prix
		sub24ir	price_LSB, 1
		goto	Loop_MENU_page_price

no_price_right
; Si c'est pas non plus le bouton du milieu alors on reboucle
	btfsc	KBD_Middle
	goto	Loop_MENU_page_price

; rcrit la valeur en EEPROM
; note : tmp3 tait rest  l'adresse de MID
	movfw	price_LSB
	movwf	tmp_leaf1
	decf	tmp3,w
	call	S__EEPROM_write

	movfw	price_MID
	movwf	tmp_leaf1
	movfw	tmp3
	call	S__EEPROM_write

	movfw	price_MSB
	movwf	tmp_leaf1
	incf	tmp3,w
	call	S__EEPROM_write

; fold

;;;;;;;;;;;;;; boucle principale pour slectionner le format

loop_select_format
	clrf	autorepeat
	LOAD_STRING_PTR	string_format_select
; vide l'cran
	Macro_CALL	LS2__clrlcd, 0
; affiche le message  gauche
	Macro_CALL	L1S2__display_string, 1
; place le curseur sur le chiffre de la page
; 14=OK=>4, 4=12=>3, 3=10=>2, 2=8=>2 1=6=>0
	movfw	format
	addlw	10
	movwf	tmp_leaf1
	Macro_CALL	LS1__set_DDRAM_address_linear, 1

loop_format_button
	Macro_CALL	L__MENU__wait_kbd1, 1
; est-ce le bouton droit ?
	btfsc	KBD_Right
	goto	no_format_right
		; si on est dj arriv  4/OK, on ne fait rien.
		btfss	format,2 ; MSB de '4'=100b
			incf	format,f
		goto	loop_select_format

no_format_right
; est-ce le bouton droit ?
	btfsc	KBD_Left
	goto	no_format_mid
		; si on est  0, a sert  rien de dcrmenter
		movfw	format
		btfss	STATUS,Z
			decf	format,f
		goto	loop_select_format

no_format_mid
; Si c'est pas non plus le bouton du milieu alors on reboucle
	btfsc	KBD_Middle
	goto	loop_format_button

	; si on est pas sur OK alors on va dans la fonction de modif du prix slectionn
	btfss	format,2
		goto	MENU_page_price

	Macro_CALL	LS2__clrlcd,0







