; messages/messages.asm
; version 21 fvrier 2008 : pas besoin de 0 terminal si la chaine dpasse de l'cran

; Si une erreur survient dans ce fichier ( cause
; d'une barrire d'octet dpasse), il suffit de dplacer
; la chaine en question, a rgle habituellement le problme.

; NOTE :
; la fonction d'affichage s'arrte lorsqu'elle trouve
; un zro dans la chaine ou lorsque la fin de l'afficheur
; est atteinte (16 char max.) DONC les chaines de 16 caractres
; ou qui s'affichent  la droite n'ont pas besoin de 0 terminal
; (a conomise qqs inst.)



; ces deux chaines vont ensemble, ne pas les sparer
string_startup			dt	"ProCopier v0.002"
string_startup2			dt	" (C) 2008-04-30 "


string_menu_contrast	dt  "contrast", 0
string_free				dt	"  * * FREE * *" ; les 2 " " de fin sont dans la chaine suivante
string_OFF				dt	"    OFF" ; affich  droite de l'cran
string_menu_auto		dt	"insert coin / OK"
string_clear_credit		dt	"CLRCREDIT YES NO"
; index_YES	equ 10 ; dfinitions dplaces dans menu_clear_credit
; index_NO	equ 14
string_menu_config_coin dt	"coin man<ok>auto"
string_menu_channel		dt	"chan",0
string_menu_position	dt	"position",0
string_solde			dt	"credit",0
;string_page_price		dt	"price",0
string_format_select	dt	"format    1234OK"

; ces 4 messages doivent rester groups
string_A4BW				dt	"A4-B&W",0 ; Ces 4 chaines ont une taille identique pour
string_A3BW				dt	"A3-B&W",0 ; faciliter leur accs par multiplication (par 7)
string_A4COL			dt	"A4-Col",0
string_A3COL			dt	"A3-Col",0
	if ((string_A4BW>>8) != ($>>8))
		error "string_A4BW traverse une barrire d'octet"
	endif


; cette chaine doit tre scrollable dans les 2 sens
scroll_string
	; prologue
	dt "                "
	if scroll_left!=1
	    dt " "
	endif
	; le message lui-mme, qui peut tre assez long
;	dt "Essai avec un message plus long que la largeur de l'ecran"
	dt "Bienvenue !"
	; pilogue
	if scroll_left==1
	    dt " "
	endif
	dt 0; fin de la chaine
scroll_string_length	equ 	$-(scroll_string+1)
	if ((scroll_string>>8) != ($>>8))
		error "scroll_string traverse une barrire d'octet"
	endif
	dt "                   "
; /fin scroll


; doit rester ensemble :
string_menu_currency	dt  "currency "
; cette chaine est aussi utilise comme lookup table :
currency_list			dt	".,$"
	dt	0x5C	;	dt	0xA5 ; le Yen est  diffrents endroits selon le modle d'cran LCD
	; 3 autres monnaies dont les fontes sont  charger :
	dt	8,1,2 ; char0 n'est pas "affichable" car a indique la fin d'une chaine, donc alias avec 8
currency_list_end
	if ((currency_list>>8) != ($>>8))
		error "currency_list traverse une barrire d'octet"
	endif

