; mtk\mtk.asm
; C'est le fichier central du MTK, qui inclut les autres .asm.

; code qui lit la table suivante, et qui initialise les buffers de contexte :
    #include "mtk/init_threads.asm"

; table des valeurs d'initialisation des buffers de contexte
MTK__get_next_value ; fonction de lookup
	incf	tmp_leaf2, w	; incrmente le compteur
	movwf	tmp_leaf2
	addwf	PCL,f		; saute  la valeur en cours
; dbut de la liste de retlw
	nop ; off-by-one  cause du "incf" aprs "clrf tmp_leaf2"

	; La suite est la table, dont les valeurs sont dfinies par l'utilisateur.
	; Mais MPASM est tout pourri, il ne permet pas les #define de plusieurs lignes
	; alors il faut drouler spculativement  la main.
	; Si la suite ne permet pas assez de threads, ajoutez-en mais attention.
	MACRO_init_thread	__MTKTHREADS1

#ifdef	__MTKTHREADS2
	MACRO_init_thread	__MTKTHREADS2
#endif

#ifdef	__MTKTHREADS3
	MACRO_init_thread	__MTKTHREADS3
#endif

#ifdef	__MTKTHREADS4
	MACRO_init_thread	__MTKTHREADS4
#endif

#ifdef	__MTKTHREADS5
	MACRO_init_thread	__MTKTHREADS5
#endif

#ifdef	__MTKTHREADS6
	MACRO_init_thread	__MTKTHREADS6
#endif

#ifdef	__MTKTHREADS7
	MACRO_init_thread	__MTKTHREADS7
#endif

#ifdef	__MTKTHREADS8
	MACRO_init_thread	__MTKTHREADS8
#endif

#ifdef	__MTKTHREADS9
	MACRO_init_thread	__MTKTHREADS9
#endif

#ifdef	__MTKTHREADS10
	MACRO_init_thread	__MTKTHREADS10
#endif

; vrification de dpassement de banque
	if (MTK__get_next_value >> 8) != (($+1) >> 8)
		error "la table d'initialisation traverse une frontire de banque"
	endif

;	goto	MTK__start_dispatch 	; fin de l'initialisation (brutale) --> fold
    #include "mtk\dispatch.asm" ; excute directement mtk_start_dispatch sans return

; Le dispatcheur est la "boucle infinie" du programme.
; La suite n'est qu'une collection de fonctions et de threads.
