; threads\thread_nri.inc

	cblock
		thread_nri_accept ; tat du thread
		; bit 0 : demande d'accepter les pices, 
		; bit 1 : ACK (acceptation en cours)
		; 	00 thread NRI prt  dmarrer
		; 	01 dmarrage demand
		; 	11 dmarr
		; 	10 arrt demand

		; bit 2 : pice accepte ( 1 pour prvenir,
		; le remettre  0 pour que le thread reprenne son cours)

		; bit 3 : mis  1 par le thread appelant pour dsactiver la fentre d'acceptation

		thread_nri_mask ; les bits  1 sont les canaux accepts

		NRI_data, NRI_chan; NRI_data = 1<<NRI_chan
		;pulse
		thread_nri_pulse_length ; valeur mesure
		NRI_pulse_length_nom 	; valeur nominale lue en EEPROM
	endc

; l'impulsion est accepte si
; NRI_pulse_length_nom-NRI_PULSE_LENGTH_DELTA < thread_nri_pulse_length < NRI_pulse_length_nom+NRI_PULSE_LENGTH_DELTA
#define NRI_PULSE_LENGTH_DELTA (1<<3)

